Subject: Philodendrons

From: [email-masked] (Dewey Fisk)
Date: 24 Mar 1996 14:02:27 GMT

Mike,
Let me introduce myself, I am Dewey Fisk,  I live in South Florida and I
am Corresponding Secretary for the International Aroid Society.  We have
about 500 members world wide who are dedicated to the study, propagation
and distribution of plants in the Araceae Family.  In my personal
collection of Araceae I have, probably, over seventy species of
Philodendron.  Great quantities of information is available in our
publications.  May I suggest that you contact the International Aroid
Society at Post Office Box 43-1853, South Miami, Fl 33143 and we will do
our best to assist you in growing your plants.  You may contact me direct
at <[email-masked]>.  Possibly we can set up a dialog that will
assist you.
Dewey Fisk